# Quick Start

To get started, download the [latest version here](https://github.com/warengonzaga/shortcodes-wp/releases/latest).

1. Upload the plugin (.zip file) to the /wp-content/plugins/ directory.
2. Activate the WP Disease Tracker WordPress plugin through the 'Plugins' menu in WordPress.

### Basic Usage

Simply copy the shortcode below and paste it somewhere on the front-end of your WordPress website.

#### WP User

```
[wpuser_firstname] //display current user's first name
[wpuser_lastname] //display current user's last name
```

#### WP Info (Date)

```
[wpinfo_current_day] //display current day e.g. Tuesday
[wpinfo_current_month] //display current month e.g. November
[wpinfo_current_year] //display current year e.g. 2020
```

Display current date, using the format set in Settings > Date format.

```
[wpinfo_current_date] OR
[wpinfo_current_date format="Y/m/d"] 
```

#### WP Info (Query Parameter)

Display a query parameter value from the URL e.g. the search parameter.

```
[wpuser_query_param arg="s"]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.warengonzaga.com/shortcodes-wp/quick-start.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
